# Generated by Django 2.2.11 on 2020-03-25 13:55

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Reservation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('entries_to_create', models.SmallIntegerField()),
                ('created_time', models.DateTimeField()),
                ('modified_time', models.DateTimeField(blank=True, null=True)),
                ('ext_id', models.CharField(blank=True, max_length=50, null=True)),
                ('ext_name', models.CharField(max_length=50)),
                ('ext_username', models.CharField(max_length=50)),
                ('workorder_id', models.CharField(blank=True, max_length=50, null=True)),
                ('workorder_system', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'reservation',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ReservationAttr',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=50)),
                ('value', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'reservation_attr',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('reservation_id', models.IntegerField(blank=True, null=True)),
                ('created_time', models.DateTimeField()),
                ('modified_time', models.DateTimeField(blank=True, null=True)),
                ('created_ext_id', models.CharField(blank=True, max_length=50, null=True)),
                ('created_ext_name', models.CharField(max_length=50)),
                ('created_ext_username', models.CharField(max_length=50)),
                ('modified_ext_id', models.CharField(blank=True, max_length=50, null=True)),
                ('modified_ext_name', models.CharField(blank=True, max_length=50, null=True)),
                ('modified_ext_username', models.CharField(blank=True, max_length=50, null=True)),
                ('name_char', models.CharField(blank=True, max_length=50, null=True)),
                ('name_number', models.IntegerField(blank=True, null=True)),
                ('workorder_id', models.CharField(blank=True, max_length=50, null=True)),
                ('workorder_system', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'resource',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ResourceLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resource_id', models.IntegerField()),
                ('resource_parent_id', models.IntegerField(blank=True, null=True)),
                ('resource_name', models.CharField(max_length=50)),
                ('type_name', models.CharField(max_length=50)),
                ('status_name', models.CharField(max_length=50)),
                ('logged_time', models.DateTimeField()),
                ('created_ext_id', models.CharField(blank=True, max_length=50, null=True)),
                ('created_ext_name', models.CharField(max_length=50)),
                ('created_ext_username', models.CharField(max_length=50)),
                ('modified_ext_id', models.CharField(blank=True, max_length=50, null=True)),
                ('modified_ext_name', models.CharField(blank=True, max_length=50, null=True)),
                ('modified_ext_username', models.CharField(blank=True, max_length=50, null=True)),
                ('action', models.CharField(max_length=50)),
                ('workorder_id', models.CharField(blank=True, max_length=50, null=True)),
                ('workorder_system', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'resource_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('code', models.CharField(blank=True, max_length=50, null=True)),
                ('to_status', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'status',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('parent_id', models.IntegerField(blank=True, null=True)),
                ('name', models.CharField(max_length=50)),
                ('resource_name_rule', models.CharField(blank=True, max_length=50, null=True)),
                ('resource_parent_mandatory', models.BooleanField(blank=True, null=True)),
                ('group', models.CharField(blank=True, max_length=50, null=True)),
                ('resource_attrs_mandatory', models.CharField(blank=True, max_length=100, null=True)),
                ('resource_is_addable', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'type',
                'managed': False,
            },
        ),
    ]
